org.apache.synapse.securevault.secret.handler

## Class SecretManagerSecretCallbackHandler

- java.lang.Object
- - org.apache.synapse.securevault.secret.AbstractSecretCallbackHandler
  - - org.apache.synapse.securevault.secret.handler.SecretManagerSecretCallbackHandler

- All Implemented Interfaces:
    SecretCallbackHandler

      public class SecretManagerSecretCallbackHandler
      extends AbstractSecretCallbackHandler

  SecretManager based secret provider , this can be used by other application to get secret form SecretManager

- - ### Field Summary

    - ### Fields inherited from class org.apache.synapse.securevault.secret.AbstractSecretCallbackHandler

      `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecretManagerSecretCallbackHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `handleSingleSecretCallback(SingleSecretCallback singleSecretCallback)` Handle A SingleSecretCallback - fill the secret

    - ### Methods inherited from class org.apache.synapse.securevault.secret.AbstractSecretCallbackHandler

      `handle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SecretManagerSecretCallbackHandler

          public SecretManagerSecretCallbackHandler()

  - ### Method Detail

    - #### handleSingleSecretCallback

          protected void handleSingleSecretCallback(SingleSecretCallback singleSecretCallback)

      Description copied from class: `AbstractSecretCallbackHandler`
      Handle A SingleSecretCallback - fill the secret
      Specified by:
        `handleSingleSecretCallback` in class `AbstractSecretCallbackHandler`
      Parameters:
        `singleSecretCallback` - SingleSecretCallback instance

Copyright © 2005–2019 Apache Software Foundation. All rights reserved.